summaryrefslogtreecommitdiffstats
path: root/multimedia/schroedinger
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2010-05-12 23:31:52 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:31:52 +0200
commite32799b3dd53fdcf4b5c70345af37ae7df72d6c5 (patch)
tree1221dc257badb567b93275f9192087f91700ef51 /multimedia/schroedinger
parent0c36e9446b778f117d1bee470c67c5976249da4e (diff)
downloadslackbuilds-e32799b3dd53fdcf4b5c70345af37ae7df72d6c5.tar.gz
slackbuilds-e32799b3dd53fdcf4b5c70345af37ae7df72d6c5.tar.xz
multimedia/schroedinger: Added to 12.2 repository
Diffstat (limited to 'multimedia/schroedinger')
-rw-r--r--multimedia/schroedinger/README5
-rw-r--r--multimedia/schroedinger/schroedinger.SlackBuild93
-rw-r--r--multimedia/schroedinger/schroedinger.info8
-rw-r--r--multimedia/schroedinger/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/multimedia/schroedinger/README b/multimedia/schroedinger/README
new file mode 100644
index 0000000000..0defe65d89
--- /dev/null
+++ b/multimedia/schroedinger/README
@@ -0,0 +1,5 @@
+Schrodinger is a high-speed implementation in C of the Dirac codec.
+Please refer to project FAQ at http://diracvideo.org/wiki/FAQ
+
+Some info about actual usage using ffmpeg:
+http://www.diracvideo.org/wiki/index.php/Schroedinger_and_FFmpeg
diff --git a/multimedia/schroedinger/schroedinger.SlackBuild b/multimedia/schroedinger/schroedinger.SlackBuild
new file mode 100644
index 0000000000..2db278a8c7
--- /dev/null
+++ b/multimedia/schroedinger/schroedinger.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware Package Build Script for Schroedinger
+# Home Page http://www.diracvideo.org/
+
+# Copyright (c) 2008, Nishant Limbachia (nishant@mnspace.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=schroedinger
+VERSION=1.0.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -fr $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* NEWS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/usr/doc/$PRGNAM-$VERSION
+ ln -s /usr/share/gtk-doc/html/schroedinger html
+)
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/schroedinger/schroedinger.info b/multimedia/schroedinger/schroedinger.info
new file mode 100644
index 0000000000..3112afff61
--- /dev/null
+++ b/multimedia/schroedinger/schroedinger.info
@@ -0,0 +1,8 @@
+PRGNAM="schroedinger"
+VERSION="1.0.5"
+HOMEPAGE="http://diracvideo.org/"
+DOWNLOAD="http://diracvideo.org/download/schroedinger/schroedinger-1.0.5.tar.gz"
+MD5SUM="55596c41572c5efcf4b2cae9c68c2152"
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="rworkman"
diff --git a/multimedia/schroedinger/slack-desc b/multimedia/schroedinger/slack-desc
new file mode 100644
index 0000000000..df5a220962
--- /dev/null
+++ b/multimedia/schroedinger/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+schroedinger: Schroedinger (a C implementation of BBC's Dirac Codec)
+schroedinger:
+schroedinger: Schroedinger is a high-speed implementation of BBC's dirac
+schroedinger: codec in C.
+schroedinger:
+schroedinger: Homepage: http://diracvideo.org/
+schroedinger:
+schroedinger:
+schroedinger:
+schroedinger:
+schroedinger: